/*
 * SOFTSPI.h
 *
 * Created: 10.01.2013 09:16:16
 *  Author: Behlau
 */ 


#ifndef SOFTSPI_H_
#define SOFTSPI_H_


#define SOFTSPI_MOSI_DDR	DDRA
#define SOFTSPI_MISO_DDR	DDRA
#define SOFTSPI_SCLK_DDR	DDRA

#define SOFTSPI_MOSI_PORT	PORTA
#define SOFTSPI_MISO_PORT	PORTA
#define SOFTSPI_SCLK_PORT	PORTA

#define SOFTSPI_MOSI_BIT	(1<<6)
#define SOFTSPI_MISO_BIT	(1<<5)
#define SOFTSPI_SCLK_BIT	(1<<7)

#define SOFTSPI_MISO_PIN	PINA

#define SOFTSPI_MODE_0	0x00	// CPOL = 0, CPHA = 0		// Clock = IDLE LOW		Datenuebernahme = erste Flanke	--> Steigende Flanke
#define SOFTSPI_MODE_1	0x01	// CPOL = 0, CPHA = 1		// Clock = IDLE LOW		Datenuebernahme = zweite Flanke --> Fallende Flanke
#define SOFTSPI_MODE_2	0x02	// CPOL = 1, CPHA = 0		// Clock = IDLE HIGH	Datenuebernahme = erste Flanke	--> Fallende Flanke
#define SOFTSPI_MODE_3	0x03	// CPOL = 1, CPHA = 1		// Clock = IDLE HIGH	Datenuebernahme = zweite Flanke	--> Steigende Flanke

void SOFTSPI_Init(void);
unsigned char SOFTSPI_WriteRead_Synchron(unsigned char dataout, char spi_mode);
unsigned char SOFTSPI_WriteRead_Synchron_NEWEWWWW(unsigned char dataout, char spi_mode);
void SOFTSPI_Clock_Mode(char spi_mode);


#endif /* SOFTSPI_H_ */